STRSIGNAL(3)

NAME
strsignal - return string describing signal

SYNOPSIS
#define _GNU_SOURCE
#include <string.h>

char *strsignal(int sig);

extern const char * const sys_siglist[];

DESCRIPTION
The strsignal() function returns a string describing the signal number passed in the argument sig. The string can only be used until the next call to strsignal().

The array sys_siglist holds the signal description strings indexed by signal number. The strsignal() function should be used if possible instead of this array.

RETURN VALUE
The strsignal() function returns the appropriate description string, or an unknown signal message if the signal number is invalid. On some systems (but not on Linux), a NULL pointer may be returned instead for an invalid signal number.

CONFORMING TO
This function is not part of any standard, but aside from Linux, it can be found on Solaris and the BSDs.

SEE ALSO
psignal(3), strerror(3), feature_test_macros(7)